# Uses of Class
org.apache.sling.discovery.base.commons.DefaultTopologyView

Packages that use DefaultTopologyView
Package
Description
org.apache.sling.discovery.base.commons
Provides some common classes for discovery implementors that choose to extend from discovery.base

## Uses of DefaultTopologyView in org.apache.sling.discovery.base.commons

Methods in org.apache.sling.discovery.base.commons that return DefaultTopologyView
Modifier and Type
Method
Description
`protected DefaultTopologyView`
BaseDiscoveryService.`getOldView()`
Methods in org.apache.sling.discovery.base.commons with parameters of type DefaultTopologyView
Modifier and Type
Method
Description
`org.apache.sling.discovery.TopologyEvent.Type`
DefaultTopologyView.`compareTopology(DefaultTopologyView other)`
Compare this topology with the given one and determine how they compare
`protected void`
BaseDiscoveryService.`setOldView(DefaultTopologyView view)`